/******************************************************************************
 *
 * Copyright (c) 1994-1999 Palm Computing, Inc. or its subsidiaries.
 * All rights reserved.
 *
 * File: SampleCalc.h
 *
 * Description:
 *		Header file for SampleCalc
 *
 * History:
 *   	1/30/97 SCL - Started life from NewCalc
 *   	6/01/97 SCL - UI defines are now generated by Constructor
 *
 *****************************************************************************/

/************************************************************************
 * Other defines
 ***********************************************************************/
#define kDefaultDisplayString	"00.000000e000"

#define kMaxMantissaDigits	8		// max digits in display value, NOT including decimal
#define kMaxExponentDigits	2		// max digits in exponent value (determined by FplAtoF)

#define kCharDecimal			(Char) '.'	// should read from prefs to be international
#define kCharPlus				'+'
#define kCharMinus			'-'
#define kCharTimes			'*'
#define kCharDivide			'/'
#define kCharEquals			'='
#define kCharZero				'0'
#define kCharOne				'1'
#define kCharNull				'\0'

#define kDispCharWidth		8
#define kDispManTop			10
#define kDispWidth			135
#define kDispHeight			20

#define kDispManSignLeft	10
#define kDispMantissaLeft	kDispManSignLeft+kDispCharWidth
#define kDispErrorLeft		kDispManSignLeft+(8*kDispCharWidth)
#define kDispExponentLeft	kDispManSignLeft+kDispWidth-(3*kDispCharWidth)
#define kDispExpSignLeft	kDispExponentLeft-kDispCharWidth

typedef enum {
	kfNoOp = 0,	// 0
	kfAdd,		// 1
	kfSub,		// 2
	kfMul,		// 3
	kfDiv,		// 4
	kfExchg,		// 5
	kfEnd
} CalculationSelectorType;

